import request from '/@/utils/request';

export function departmentApi() {
    return {
        // v2
        getDepartmentList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/department/list`,
                method: 'get'
            });
        },
        // v2
        addDepartment: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/department/save`,
                method: 'post',
                data: data
            });
        },
        // v2
        modDepartment: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/department/update`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteDepartment: (value?: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/department/delete`,
                method: 'post',
                data: value
            });
        }
    };
}
